%define		p7zip_version	9.20.1
Summary:	A library using 7z.dll/7z.so (from 7-Zip) to handle different archive types
Summary(pl.UTF-8):	Biblioteka wykorzystująca 7z.dll/7z.so (z 7-zipa) do obsługi różnych rodzajów archiwów
Name:		lib7zip
Version:	1.6.5
Release:	2
License:	MPL v1.1
Group:		Libraries
#Source0Download: http://code.google.com/p/lib7zip/downloads/list
Source0:	http://lib7zip.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	a127ec183797dcf685938372dc5bf72a
Source1:	http://downloads.sourceforge.net/p7zip/p7zip_%{p7zip_version}_src_all.tar.bz2
# Source1-md5:	bd6caaea567dc0d995c990c5cc883c89
Patch0:		%{name}-link.patch
URL:		http://code.google.com/p/lib7zip/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library using 7z.dll/7z.so (from 7-Zip) to handle different archive
types.

%description -l pl.UTF-8
Biblioteka wykorzystująca 7z.dll/7z.so (z 7-zipa) do obsługi różnych
rodzajów archiwów.

%package devel
Summary:	Development files for lib7zip library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki lib7zip
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Development files for lib7zip library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki lib7zip.

%package static
Summary:	Static lib7zip library
Summary(pl.UTF-8):	Statyczna biblioteka lib7zip
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static lib7zip library.

%description static -l pl.UTF-8
Statyczna biblioteka lib7zip.

%prep
%setup -q -a1
%patch0 -p1

# remove it when "linking libtool libraries using a non-POSIX archiver ..." warning is gone
# (after lib7zip or libtool change)
%{__sed} -i -e '/AM_INIT_AUTOMAKE/s/-Werror//' configure.ac

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
export P7ZIP_SOURCE_DIR="$(pwd)/p7zip_%{p7zip_version}"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -p Lib7Zip/lib7zip.h $RPM_BUILD_ROOT%{_includedir}

# test programs
%{__rm} $RPM_BUILD_ROOT%{_bindir}/test7z*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib7zip.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/lib7zip.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib7zip.so
%{_libdir}/lib7zip.la
%{_includedir}/lib7zip.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib7zip.a
%changelog
* Sun Dec 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lib7zip.git;a=log;h=master

* Sun Dec 08 2013 Jan Rękorajski <baggins@pld-linux.org> 6b09fde
- install library header file
- rel 2

* Thu Jul 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 0b93a5c
- updated to 1.6.5

* Wed Jan 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 7b7a05a
- updated to 1.6.4

* Wed Nov 07 2012 Jakub Bogusz <qboosh@pld-linux.org> f64f9e6
- updated to 1.6.3
- updated link patch

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 4cd3d24
- updated to 1.6.1
- build using latest p7zip sources
- added link patch
- added -devel, -static
- License tag filled from project page

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 10f884e
- pl

* Tue Sep 06 2011 Zsolt Udvari <uzsolt@pld-linux.org> 16945ed
- initial
- does not build
- this library needed by newest (1.5) cdcat

